// Copyright (c) 2007, Software Development Laboratories, "Fish" (David B. Trout)
//////////////////////////////////////////////////////////////////////////////////////////
// MyFontDialog.cpp : implementation of the CMyFontDialog class
//////////////////////////////////////////////////////////////////////////////////////////
//
//  Change History:
//
//  12/09/06    1.5.0   Fish    Created
//
//////////////////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "MyFontDialog.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//////////////////////////////////////////////////////////////////////////////////////////

BEGIN_MESSAGE_MAP( CMyFontDialog, CFontDialog )
    ON_WM_DESTROY()
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////////////////////////////////

BOOL CMyFontDialog::OnInitDialog()
{
    CDialog::OnInitDialog();
    SetWindowText( m_strTitle );
    CWindowPlacement wp; wp.Restore( m_strTitle, this );
    return TRUE;
};

//////////////////////////////////////////////////////////////////////////////////////////

void CMyFontDialog::OnDestroy()
{
    CDialog ::OnDestroy();
    CWindowPlacement wp; wp.Save( m_strTitle, this );
}

//////////////////////////////////////////////////////////////////////////////////////////
