@echo off

REM *** Copying Output to 'AWSBrowse' dir... ***

set OutDir=%1
set TargetName=%2
set ProjectDir="%3"

REM --------------------------------------
REM  Create target directory for XCOPY...
REM --------------------------------------

if not exist  "%ProjectDir%\AWSBrowse\x64"  mkdir  "%ProjectDir%\AWSBrowse\x64"

REM --------------------------------------
REM  Copy the files to that directory...
REM --------------------------------------

xcopy "%OutDir%\..\..\LICENSE.txt"  "%ProjectDir%\AWSBrowse\x64"  /V /C /F /H /R /K /O /X /Y
xcopy "%OutDir%\..\..\README.txt"   "%ProjectDir%\AWSBrowse\x64"  /V /C /F /H /R /K /O /X /Y
xcopy "%OutDir%\..\..\awshet.reg"   "%ProjectDir%\AWSBrowse\x64"  /V /C /F /H /R /K /O /X /Y
xcopy "%OutDir%\%TargetName%.exe"   "%ProjectDir%\AWSBrowse\x64"  /V /C /F /H /R /K /O /X /Y

goto :EOF
